#!/usr/bin/env python

class PerformanceData:
    def __init__(self, icao : str):
        self.icao = icao
        self.speedAboveFL240 = 0.0
        self.speedAboveFL100 = 0.0
        self.speedBelowFL100 = 0.0
        self.speedApproach = 0.0
        self.rodAboveFL240 = 0.0
        self.rodAboveFL100 = 0.0
        self.rodBelowFL100 = 2000.0

    def __str__(self):
        return 'ICAO: ' + self.icao + ', FL240: ' + str(self.rodAboveFL240) + '@' + str(self.speedAboveFL240) + \
               ', +FL100: ' + str(self.rodAboveFL100) + '@' + str(self.speedAboveFL100) + \
               ', -FL100: ' + str(self.rodBelowFL100) + '@' + str(self.speedBelowFL100) + \
               ', Vapp: ' + str(self.speedApproach)
